--- title: "updateDatabase" slug: "analytics-datacatalog-database-updatedatabase" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-database-updatedatabase" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # updateDatabase Available in VPC Edit database information. Note Use [updateDatabaseTag](/docs/en/analytics-datacatalog-database-updatedatabasetag) to edit tags. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/catalogs/{catalogId}/databases/{databaseName} | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabase](/docs/en/analytics-datacatalog-database-getdatabase). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `location` | String | Optional | Database location (path) | | `description` | String | Optional | Database description - Up to 1000 characters | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/mydatabase' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "location": "s3a://mybucket/mydatabase", "description": "updated description" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `name` | String | - | Database name | | `databaseName` | String | - | Database name | | `description` | String | - | Database description - Displayed if a value exists | | `location` | String | - | Database location (path) | | `createTime` | String | - | Database creation date and time - ISO 8601 format | | `updateTime` | String | - | Database modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "catalogId": 4**, "name": "mydatabase", "databaseName": "mydatabase", "description": "updated description", "location": "s3a://mybucket/mydatabase", "createTime": "2026-06-25T14:44:55+0900", "updateTime": "2026-06-25T15:10:21+0900" } ```